<?php

/**
 * 
 *
 * @version $Id$
 * @copyright 2003 
 **/

class rhcss_editor_custom_buttons_addon extends module_righthere_css{
	function __construct($args=array()){
		return parent::__construct($args);
	}
	
	function options($t=array()){
		$i = count($t);
		//-- BTN --------------------------------			
		$t[$i]=(object)array();
		$t[$i]->id 			= 'rhc-cb-btn'; 
		$t[$i]->label 		= __('Button Default','rhc');
		$t[$i]->options = array();		
		
		$t[$i]->options = $this->add_font_options( $t[$i]->options, array(
			'prefix'	=> 'rhccb_btn_font',
			'selector'	=> '.fc-button.fc-button-custom.fc-state-default',
			'labels'	=> (object)array(
				'family'	=> __('Day font','rhc'),
				'size'		=> __('Size','rhc'),
				'color'		=> __('Color','rhc')				
			)
		));		

		$t[$i]->options = $this->add_backgroud_options( $t[$i]->options, array(
			'label'		=> __('Background','rhc'),
			'prefix'	=> 'rhccb_btn_bg',
			'selector'	=> '.fc-button.fc-button-custom.fc-state-default'	
		));
		
		$t[$i]->options = $this->add_border_options($t[$i]->options,array(
			'prefix'	=> 'rhccb_btn_border',
			'selector'	=> ".fc-button.fc-button-custom.fc-state-default",
			'show_collapse'	=> true,
			'show_spacing'	=> true
		));				
		//--- BTN HOVER -------------------------------------------------------------------
		$i = count($t);
		$t[$i]=(object)array();
		$t[$i]->id 			= 'rhc-cb-btn-hover'; 
		$t[$i]->label 		= __('Button Hover','rhc');
		$t[$i]->options = array();	

		$t[$i]->options = $this->add_font_options( $t[$i]->options, array(
			'prefix'	=> 'rhccb_btn_font_hover',
			'selector'	=> '.fc-button.fc-button-custom.fc-state-default:hover',
			'labels'	=> (object)array(
				'family'	=> __('Day font','rhc'),
				'size'		=> __('Size','rhc'),
				'color'		=> __('Color','rhc')				
			)
		));	

		$t[$i]->options = $this->add_backgroud_options( $t[$i]->options, array(
			'label'		=> __('Background','rhc'),
			'prefix'	=> 'rhccb_btn_hover',
			'selector'	=> '.fc-button.fc-button-custom.fc-state-default:hover'	
		));			

		$t[$i]->options = $this->add_border_options($t[$i]->options,array(
			'prefix'	=> 'rhccb_btn_border_hover',
			'selector'	=> ".fc-button.fc-button-custom.fc-state-default:hover",
			'show_collapse'	=> true,
			'show_spacing'	=> true
		));		
		//-- Saved and DC  -----------------------		
		$i = count($t);
		$t[$i]=(object)array();
		$t[$i]->id 			= 'rh-saved-list'; 
		$t[$i]->label 		= __('Templates','rhc');
		$t[$i]->options = array(
			(object)array(
				'id'				=> 'rh_saved_settings',
				'input_type'		=> 'backup_list'
			)			
		);	
		return $t;
	}
}
?>